// Reloader utility
// Copyright (c) 2001 Alexander Ananiev & MyArch.com.  All rights reserved.


/**
 * Class names and default settings for <code>ReloaderSamples</code> and <code>Tester</code>.
 */
public interface TestConstants {


  /**
   * Test class used to demonstrate reloading.
   */
  public static final String TEST_CLASS = "testclass.TestClass";

  /**
   * Another test class. Two classes are needed to
   * illustrate reloading of multiple classes.
   */
  public static final String TEST_CLASS2 = "testclass.TestClass2";

  /**
   * Package containing reloading classes. Used for package-based reloading.
   */
  public static final String TEST_PACKAGE = "testclass";

  /**
   * Name of the interface that test classes implement.
   * Used by test harness and to test exception controller.
   */
  public static final String TEST_IFACE = "TestIface";

  /**
   * Name of the class used for testing custom path.
   */
  public static final String TEST_CLASS_CUSTOM_PATH = "TestClassCustomPath";

  /**
   * Custom path outside of the JVM classpath.
   */
  public static final String CUSTOM_PATH = "/reloader/reloadclasses/";
}