// Reloader utility
// Copyright (c) 2001 Alexander Ananiev & MyArch.com.  All rights reserved.

package com.myarch.reloader;

/**
 * Defines load/reload action constants used by the <code>LoadActionListener</code> (logger).
 *
 * @author Alexander Ananiev
 */

public interface Actions {

  /**
   * Sent before the attempt to load a class made by <code>Reloader</code>.
   */
  public static final int BEFORE_RELOAD = 1;

  /**
   * Sent after a class was loaded successfully by <code>Reloader</code>.
   */
  public static final int AFTER_RELOAD = 2;

  /**
   * Sent after the unsuccessful class loading attempt by <code>Reloader</code>
   * and before the parent loader is called.
   */
  public static final int BEFORE_PARENT_LOAD = 3;

  /**
   * Sent after a class was loaded successfully by the parent loader.
   */
  public static final int AFTER_PARENT_LOAD =  4;

}